package gov.va.vss.service;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.donation.DonationReference;

public interface DonationReferenceService {

	DonationReference saveOrUpdate(DonationReference donationReference) throws ServiceValidationException;

	void delete(long donReferenceId) throws ServiceValidationException;

	public void reactivate(long donReferenceId) throws ServiceValidationException;

	public void inactivate(long donReferenceId) throws ServiceValidationException;

}
